/*
 * This file is generated by jOOQ.
 */
package ajar.ieds.calc.api.sql;


import ajar.ieds.calc.api.sql.tables.Expression;
import ajar.ieds.calc.api.sql.tables.records.ExpressionRecord;

import javax.annotation.processing.Generated;

import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables in the
 * default schema.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.18.4",
        "schema version:1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<ExpressionRecord> EXPRESSION_PK = Internal.createUniqueKey(Expression.EXPRESSION, DSL.name("expression_pk"), new TableField[] { Expression.EXPRESSION.EXPRESSION_ID }, true);
}
